package com.inspect.metadata.bdconfig.service;

import com.inspect.metadata.bdconfig.domain.BasedataBdConfigAlgConvert;

import java.util.List;

public interface IBasedataBdConfigAlgConvertService {
    BasedataBdConfigAlgConvert selectBasedataBdConfigAlgConvertByAlgConvertId(Long convertId);

    List<BasedataBdConfigAlgConvert> selectBasedataBdConfigAlgConvertList(BasedataBdConfigAlgConvert convert);

    int insertBasedataBdConfigAlgConvert(BasedataBdConfigAlgConvert convert);

    int updateBasedataBdConfigAlgConvert(BasedataBdConfigAlgConvert convert);

    int deleteBasedataBdConfigAlgConvertByAlgConvertIds(Long[] convertIds);

    int deleteBasedataBdConfigAlgConvertByAlgConvertId(Long convertId);
}
